Subject: CGI with SWI-Prolog

From: Lionel Ains <[email-masked]>
Date: Mon, 3 Apr 2000 10:50:02 GMT+1

Hello,

I am trying to use SWI-Prolog as a CGI script.
To get the post parameters, I would like to read from the 
stdin without Prolog printing ':|'.
I found out that this was possible by trying to get the 
input when not on an empty line.
How could I do that in any cases (when the cursor is at the 
begining of the line)?
Is there a non-blocking way to detect the when nothing is 
sent to the user input (script called without parameter)?
Are there available librairies to handle the URL 
encoding/decoding?

Many thanks,

Lionel

_______________________________________________________
Vendez tout... aux enchères - http://www.caraplazza.com